Package Details: dokku 0.27.3-1

Git Clone URL: https://aur.archlinux.org/dokku.git (read-only, click to copy)
Package Base: dokku
Description: Docker-powered PaaS that helps build and manage the lifecycle of applications
Upstream URL: https://github.com/dokku/dokku
Licenses: MIT
Conflicts: inetutils
Submitter: nextsux
Maintainer: D1ceWard
Last Packager: D1ceWard
Votes: 7
Popularity: 0.000001
First Submitted: 2015-07-21 22:18 (UTC)
Last Updated: 2022-05-16 07:56 (UTC)

Latest Comments

D1ceWard commented on 2019-02-14 18:40 (UTC)

Hello @pwalker, right now i have no times to test it on a clean install, do you have the full trace of the error ?

pwalker commented on 2019-02-14 18:34 (UTC)

I'm getting an error when I install this package, that or something hasn't been put in the right place. The folder '/etc/nginx/conf.d/' is empty and doesn't include what I'm assuming should be a Dokku specific config file. I've got a relatively new archlinux installation, and I haven't previously installed or configured nginx until building this package, so I think I have a default setup. Any ideas? Is there any info or output I can include to be more helpful?

ayr-ton commented on 2018-11-07 17:51 (UTC)

@D1ceWard Merged all your commits with AUR, thanks for all your contributions. Now you're a co-maintainer and you can push your changes directly to AUR =)

ayr-ton commented on 2018-11-07 17:18 (UTC)

https://github.com/ayr-ton/PKGBUILDs/tree/master/dokku

D1ceWard commented on 2018-11-07 17:07 (UTC)

@ayr-ton, nice, i'm glad to help

So, dokku have their official repositories :

I'm ok doing pull request on https://github.com/ayr-ton/PKGBUILDs but i don't know if dokku wants their repository up to date aswell, i will ask on gliderlabs slack...

And for co-maintain herokuish, yes herokuish need an update too. (already did it on my fork https://github.com/D1ceWard/arch-herokuish)

Thanks, things will finally move on !

ayr-ton commented on 2018-11-07 16:48 (UTC)

@D1ceWard Sure, just added you as co-maintainer. I'm maintaining the pkgbuilds code here: https://github.com/ayr-ton/PKGBUILDs

Feel free to provide a Pull Request or send the update directly to AUR as you're now a co-maintainer.

Do you want to co-maintain herokuish as well?

D1ceWard commented on 2018-11-07 10:35 (UTC) (edited on 2018-11-07 10:37 (UTC) by D1ceWard)

Hello, @ayr-ton, how did you became maintainer of this package? it has been multiple day and still no update, are you working on it ?

I'm a big user of dokku, I did a pull request in April on the official repo (https://github.com/dokku/dokku-arch/pull/1) and keeping everything update since on my fork (v0.12.13), but my pull request have multiple problems :

  • No previous compatibility (moved dokku folder from /var/lib to /home/dokku)

  • Go compilation which depend of userland (and slow but less than the actual)

  • Ugly/missing PKGBUILD practices (package removal/update... etc)

So, I can help you to update/maintain this package if you want :)

ayr-ton commented on 2018-11-02 08:01 (UTC)

Updating the PKGBUILD today :-)

D1ceWard commented on 2018-02-28 15:23 (UTC)

Can i help to maintain this package ? (herokuish need an update too)

commented on 2017-09-05 14:12 (UTC)

It is not actively maintained anymore. Feel free to come up and ask Jose to give you co-maintainership.

Schnouki commented on 2017-09-05 13:49 (UTC)

Is this package still maintained?

02m commented on 2017-08-28 09:49 (UTC)

Do you consider updating the package to the latest dokku release?

commented on 2016-03-08 12:09 (UTC)

@peterstrapp: I added the dependency - thanks for spotting. @dhruvio: I fixed the wrong shasums - I will use the official repository once 0.5 is out because there the ArchLinux support is build in. But I could not reproduce your permission issue. I tried this on two different machines and both work fine.

peterstrapp commented on 2016-03-03 13:05 (UTC)

This seems to be missing a dependency... lsb-release

commented on 2016-02-29 12:23 (UTC)

Thanks for the feedback. I will look into this later today.

dhruvio commented on 2016-02-29 09:59 (UTC) (edited on 2016-02-29 12:00 (UTC) by dhruvio)

I don't what I'm doing wrong, but I keep getting the following error when I try to run "dokku": /var/lib/dokku/core-plugins/available/checks/functions: line 4: /var/lib/dokku/plugins/available/config/functions: Permission denied EDIT: So, I finally managed to get this working on my machine. The issue was when /usr/bin/dokku was trying calling "sudo -u dokku -E -H dokku", which is the command that would fail, as the dokku user didn't have access to the symlinked executables in the pkg/ dir --> I had checked out the AUR repo to my home dir. The solution I found was to: 1. sudo pacman -R dokku # remove existing dokku install 2. rm -rf ~/dokku # remove local copy of this AUR repo 3. sudo mkdir -p /var/lib/dokku && sudo chown -R $MY_USERNAME:users /var/lib/dokku 4. cd /var/lib/dokku 5. git clone https://aur.archlinux.org/packages/dokku.git aur # clone the AUR repo into this directory 6. cd aur && makepkg -sri # the PKGBUILD script changes the ownership of all files in /var/lib/dokku to dokku:dokku, which means no more permission denied error! Another note, the sha256sum is invalid for the arch-linux.zip that is downloaded from your Github profile, @mjob. Thanks for putting this together.

commented on 2016-02-15 22:58 (UTC)

I just pushed my latest version. I use it locally and it works. I use a patched upstream version but try to get the changes into the upstream project and also try to fix the plugins to support archlinux.

nextsux commented on 2016-02-15 19:06 (UTC)

Thank you for your work mjob. I'm currently not using it, so I'm happy someone wants to maintain this.

commented on 2016-02-15 15:29 (UTC)

I worked on this: https://github.com/MorrisJobke/aur-dokku/compare/update-to-0.4.13 The only thing left is the herokuish package - I will work on this soon to be able to run dokku natively on ArchLinux